Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.pgp
Class DecryptOutputStreamWriter

    java.lang.Object
      org.mule.module.pgp.DecryptOutputStreamWriter

All Implemented Interfaces:
  OutputStreamWriter

    public class DecryptOutputStreamWriter

extends Object
implements OutputStreamWriter

Constructor Summary
`DecryptOutputStreamWriter(InputStream toBeDecrypted, org.bouncycastle.openpgp.PGPPublicKey publicKey, org.bouncycastle.openpgp.PGPSecretKey secretKey, String password)`

Method Summary
`void` | `initialize(OutputStream out)` Initialize this writer to write in the out OutputStream
`boolean` | `write(OutputStream out, edu.emory.mathcs.backport.java.util.concurrent.atomic.AtomicLong bytesRequested)` Writes into out the number of bytes requested

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecryptOutputStreamWriter

    public DecryptOutputStreamWriter(InputStream toBeDecrypted,
                                     org.bouncycastle.openpgp.PGPPublicKey publicKey,
                                     org.bouncycastle.openpgp.PGPSecretKey secretKey,
                                     String password)
                              throws IOException

Throws:
  `IOException`

Method Detail

### initialize

    public void initialize(OutputStream out)
                    throws Exception

  Initialize this writer to write in the out OutputStream

  Specified by:
    `initialize` in interface `OutputStreamWriter`
  Parameters:
    `out` - the OutputStream where this writer is going to write information
  Throws:
    `Exception`

### write

    public boolean write(OutputStream out,
                         edu.emory.mathcs.backport.java.util.concurrent.atomic.AtomicLong bytesRequested)
                  throws Exception

  Writes into out the number of bytes requested

  Specified by:
    `write` in interface `OutputStreamWriter`
  Parameters:
    `out` - the OutputStream where this writer is going to write information
    `bytesRequested` - how many bytes this writer needs to write
  Returns:
    whether this writer has finished writing (no more bytes need to be written
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.